Summary: Authen::SASL
Name: perl-Authen-SASL
Version: 2.04
Release: 2ml
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: Authen-SASL-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides: %{name} = %{version}
Requires: perl

%description
perl's Authen::SASL module

%prep
%setup -q -n Authen-SASL-%{version}

%build

SITEARCH=`perl -V:installsitearch | sed s/".*='"// | sed s/"';$"//`
SITELIB=`perl -V:installsitelib | sed s/".*='"// | sed s/"';$"//`
SITEMAN3=`perl -V:installsiteman3 | sed s/".*='"// | sed s/"';$"//`
MAN3DIR=`perl -V:installman3dir | sed s/".*='"// | sed s/"';$"//`

perl Makefile.PL INSTALLSITEARCH=$RPM_BUILD_ROOT$SITEARCH INSTALLSITELIB=$RPM_BUILD_ROOT$SITELIB INSTALLSITEMAN3DIR=$RPM_BUILD_ROOT$SITEMAN3 INSTALLMAN3DIR=$RPM_BUILD_ROOT$MAN3DIR

make
make test

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > Authen-SASL-%{version}-filelist
if [ "$(cat Authen-SASL-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f Authen-SASL-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Mon Dec 22 2003 Yasuma Takeda <yasuma@miraclelinux.com> 2.04-2ml
- rebuild for MIRACLE LINUX

* Fri May 23 2003 Mattias Ellert <mattias.ellert@tsl.uu.se> 2.04-1
- Initial build.
